Bug 439809 - multiple popups for a single event
multiple popups for a single event
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-31 11:19 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 05:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
what i've added to git (1.44 KB, patch)
2008-04-01 13:59 EDT, Richard Hughes
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2008-03-31 11:19:21 EDT
Description of problem:

I did right-click -> update system.

About 15 minutes later, I got two simultaneous popups:

The task has been completed

The system has been updated.


System update complete

Surely we only need one of these?

Version-Release number of selected component (if applicable):

Comment 1 Richard Hughes 2008-03-31 13:47:35 EDT
This might take a bit of thinking, but I'll come up with a fix before tmw.
Comment 2 Richard Hughes 2008-04-01 13:59:14 EDT
Created attachment 299934 [details]
what i've added to git

I've added this to git. It basically supresses the "second" notification if the
original caller is still on the bus, which should mean we DTRT with single shot
tools and also long running applications.

Note You need to log in before you can comment on or make changes to this bug.